New Search

toStaticHTML Information Disclosure Vulnerability

oval:org.mitre.oval:def:6677

Cross-site scripting (XSS) vulnerability in the toStaticHTML API as used in Microsoft Office InfoPath 2003 SP3 2007 SP1 and 2007 SP2; Office SharePoint Server 2007 SP1 and SP2; SharePoint Services 3.0 SP1 and SP2; and Internet Explorer 8 allows remote attackers to inject arbitrary web script or HTML via vectors related to sanitization.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Vista
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
  • Microsoft Windows Server 2003
  • Microsoft Windows 2000
Class:
vulnerability
Reference(s):
  • CVE-2010-1257
Product(s):
  • Microsoft Windows SharePoint Services 3.0
  • Microsoft Office InfoPath 2003
  • Microsoft Internet Explorer 8
  • Microsoft Office SharePoint Server 2007
  • Microsoft Office InfoPath 2007